Public Attributes | List of all members
bcs_meas_flag_t Struct Reference
BLE Services » Body Composition Service (BCS) » Structures

Body composition Measurement flag data. More...

`#include <bcs.h>`

## Public Attributes
uint8_t | time_stamp_present:1
| Time Stamp flag. More...
uint8_t | user_id_present:1
| User ID flag. More...
uint8_t | basal_metabolism_present:1
| Basal Metabolism flag. More...
uint8_t | muscle_percentage_present:1
| Muscle Percentage flag. More...
uint8_t | muscle_mass_present:1
| Muscle Mass flag. More...
uint8_t | fat_free_mass_present:1
| Fat Free Mass flag. More...
uint8_t | soft_lean_mass_present:1
| Soft Lean Mass flag. More...
uint8_t | body_water_mass_present:1
| Body Water Mass flag. More...
uint8_t | impedance_present:1
| Impedance flag. More...
uint8_t | weight_present:1
| Weight flag. More...
uint8_t | height_present:1
| Height flag. More...

## Detailed Description

Body composition Measurement flag data.

Definition at line 213 of file bcs.h.

## Member Data Documentation

## ◆ basal_metabolism_present

uint8_t bcs_meas_flag_t::basal_metabolism_present

Basal Metabolism flag.

Definition at line 217 of file bcs.h.

## ◆ body_water_mass_present

uint8_t bcs_meas_flag_t::body_water_mass_present

Body Water Mass flag.

Definition at line 222 of file bcs.h.

## ◆ fat_free_mass_present

uint8_t bcs_meas_flag_t::fat_free_mass_present

Fat Free Mass flag.

Definition at line 220 of file bcs.h.

## ◆ height_present

uint8_t bcs_meas_flag_t::height_present

Height flag.

Definition at line 225 of file bcs.h.

## ◆ impedance_present

uint8_t bcs_meas_flag_t::impedance_present

Impedance flag.

Definition at line 223 of file bcs.h.

## ◆ muscle_mass_present

uint8_t bcs_meas_flag_t::muscle_mass_present

Muscle Mass flag.

Definition at line 219 of file bcs.h.

## ◆ muscle_percentage_present

uint8_t bcs_meas_flag_t::muscle_percentage_present

Muscle Percentage flag.

Definition at line 218 of file bcs.h.

## ◆ soft_lean_mass_present

uint8_t bcs_meas_flag_t::soft_lean_mass_present

Soft Lean Mass flag.

Definition at line 221 of file bcs.h.

## ◆ time_stamp_present

uint8_t bcs_meas_flag_t::time_stamp_present

Time Stamp flag.

Definition at line 215 of file bcs.h.

## ◆ user_id_present

uint8_t bcs_meas_flag_t::user_id_present

User ID flag.

Definition at line 216 of file bcs.h.

## ◆ weight_present

uint8_t bcs_meas_flag_t::weight_present

Weight flag.

Definition at line 224 of file bcs.h.

The documentation for this struct was generated from the following file:

- bcs.h